<template>
  <Form ref="Form" />
</template>

<script>
import Form from './Form'
export default {
  name: 'index',
  components: { Form },
  data() {
    return {}
  },
  created() {
    this.addOrUpdateHandle(this.$route.query.id, this.$route.query.formType)
  },
  methods: {
    // 新增 / 修改
    addOrUpdateHandle(id, formType) {
      this.$nextTick(() => {
        this.$refs.Form.init(id, formType)
      })
    }
  }
}
</script>

<style scoped></style>
